Debian Bug report logs - #728713
ITP: libapache2-mod-proxy-msrpc -- Apache module for Outlook Anywhere support in reverse proxy setups

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Micha Lenk <micha@debian.org>

Date: Mon, 4 Nov 2013 16:15:02 UTC

Owned by: Micha Lenk <micha@debian.org>

Severity: wishlist

Fixed in version mod-proxy-msrpc/0.4-1

Done: Micha Lenk <micha@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#728713; Package wnpp. (Mon, 04 Nov 2013 16:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Micha Lenk <micha@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Mon, 04 Nov 2013 16:15:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Micha Lenk <micha@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libapache2-mod-proxy-msrpc -- Apache module for Outlook Anywhere support in reverse proxy setups
Date: Mon, 04 Nov 2013 17:06:14 +0100
Package: wnpp
Severity: wishlist
Owner: Micha Lenk <micha@debian.org>

* Package name    : libapache2-mod-proxy-msrpc
  Version         : 0.2
  Upstream Author : Micha Lenk <micha@lenk.info>
* URL             : https://github.com/bombadil/mod_proxy_msrpc
* License         : Apache
  Programming Lang: C
  Description     : Apache module for Outlook Anywhere support in reverse proxy setups

This module intends to make Apache httpd work in a reverse proxy setup in front
of a MS Exchange server offering Outlook Anywhere services. Without it, Apache
would block any Outlook Anywhere requests for reasons documented very well in
https://issues.apache.org/bugzilla/show_bug.cgi?id=40029.

Outlook and Exchange use an extended version of DCE RPC called MSRPC to
communicate with each other. When Outlook Anywhere is in use, the MSRPC
messages are wrapped into HTTP alike requests and responses. The
mod_proxy_msrpc module detects these MSRPC messages and forwards it to the
server or client as needed. As soon as the initial handshake completed, i.e.
Exchange accepted the connecting client, the mod_proxy_msrpc module switches
into tunnel mode and forwards all data from client to server and vice versa.



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 28 Nov 2013 07:09:10 GMT) Full text and rfc822 format available.

Reply sent to Micha Lenk <micha@debian.org>:
You have taken responsibility. (Tue, 04 Feb 2014 16:03:24 GMT) Full text and rfc822 format available.

Notification sent to Micha Lenk <micha@debian.org>:
Bug acknowledged by developer. (Tue, 04 Feb 2014 16:03:25 GMT) Full text and rfc822 format available.

Message #12 received at 728713-close@bugs.debian.org (full text, mbox):

From: Micha Lenk <micha@debian.org>
To: 728713-close@bugs.debian.org
Subject: Bug#728713: fixed in mod-proxy-msrpc 0.4-1
Date: Tue, 04 Feb 2014 16:00:07 +0000
Source: mod-proxy-msrpc
Source-Version: 0.4-1

We believe that the bug you reported is fixed in the latest version of
mod-proxy-msrpc, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 728713@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Micha Lenk <micha@debian.org> (supplier of updated mod-proxy-msrpc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 03 Feb 2014 21:46:00 +0100
Source: mod-proxy-msrpc
Binary: libapache2-mod-proxy-msrpc
Architecture: source amd64
Version: 0.4-1
Distribution: unstable
Urgency: low
Maintainer: Micha Lenk <micha@debian.org>
Changed-By: Micha Lenk <micha@debian.org>
Description: 
 libapache2-mod-proxy-msrpc - Apache module for Outlook Anywhere support in reverse proxy setup
Closes: 728713
Changes: 
 mod-proxy-msrpc (0.4-1) unstable; urgency=low
 .
   * New upstream version
   * Package is compliant to Debian Policy 3.9.5 (no changes needed).
   * Correctly attribute copyright ownership to Astaro.
 .
 mod-proxy-msrpc (0.2-1) unstable; urgency=low
 .
   * Initial release (Closes: #728713)
Checksums-Sha1: 
 d41fdf22767315461c7fa6b654c9f44a80167d46 1967 mod-proxy-msrpc_0.4-1.dsc
 e4298f28b1bfb624d2f7582638245b21333a32ef 63388 mod-proxy-msrpc_0.4.orig.tar.gz
 2dc7c7595dc8b06fa657b05286ab204c3fe4f7d3 2008 mod-proxy-msrpc_0.4-1.debian.tar.xz
 207e7bae5003c8fdbb0832dcf08874d65d417e68 23088 libapache2-mod-proxy-msrpc_0.4-1_amd64.deb
Checksums-Sha256: 
 6acf9770137b433fee6db249c8c35e1d3094b9769b34bca2a28b701cb2924374 1967 mod-proxy-msrpc_0.4-1.dsc
 181c946637117ee3f0d610554b54e8cfc3540ff56acc4fe7adee6d9e03945b24 63388 mod-proxy-msrpc_0.4.orig.tar.gz
 debf770a30d7bb70d083bcb30445938797a94a447d8f5ad327402da6fb0c069f 2008 mod-proxy-msrpc_0.4-1.debian.tar.xz
 9a6d026b83e8c2411bfbf200557bb4f375bd12a78bb2765cad2ad19cab945ef9 23088 libapache2-mod-proxy-msrpc_0.4-1_amd64.deb
Files: 
 39ab5382d34844006ffdf85a5ce3b245 1967 httpd extra mod-proxy-msrpc_0.4-1.dsc
 fd5f63ab536d5a985120b3c9b31feda5 63388 httpd extra mod-proxy-msrpc_0.4.orig.tar.gz
 83fe4a7da4652ecf4c37698307e6b5e6 2008 httpd extra mod-proxy-msrpc_0.4-1.debian.tar.xz
 2708c9033e6aa571ac13d366c5d7793d 23088 httpd extra libapache2-mod-proxy-msrpc_0.4-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBCAAGBQJS8AffAAoJEOpsprlRuFE5PckQALi+nApD2bMU2evjBVwF//3I
FabveA3S+EfXUpYkeHYmVlJxDccrTvDoyfNKlfCbskLy0X1G+k+xwlAYx6/ktsIp
Lbnh0ufi9BJfeYZv2OUd+M9F/PRKNZ9vkOaXkb6hIIxCysDpBiFe1NKcWMU8diqx
7zyVq3/leFEg2EtMIvz3rcOi48wQKepaoC84wcYvnP0hzlA1Xetp1GoFBrtXavIY
7dNU8X2WWW/Q9KEXEBod0U5Iog9GN5m+54yf74/rr60OEi894TAk21rVCDAsWGPX
/1EasfusaRSHOU2b6KT0KhI57SKKLU7G7PdiRmX6L0VMgqyJx8N9Xi+ba04wqKwL
gX4b1Qc2ALJXKdXCUaRxurYRQibjXj6PlZHBa8ufP966Ly1dF2GLEF3uwCWi+0V4
qAJGdMBgTOm01cJ00AWH549sn15NtyqK3I3gHr2787IK2TX6ukTHD2m5wgcTxIw9
O6QCLa4lMpGTw/HsC5Sgw+qeE5SMEWPZWvWGR4WAmPggOWoiLaJuSArMRoFueG9g
nG/ZADh8k+ioCuwo4waELsiQHiPvmuwpiH6AgJlcu5Pk9fJVyNTt7FvBVVUWEYay
wg84xDaBDCfCj5y059/uvDkvTBL3RQgoGBB6pKg9fBRBldYF4pRl+MqJP7N2fdjE
BvrkaQ2u16rJbPYiR7Sa
=8293
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 05 Mar 2014 07:26:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:38:12 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.